Subject: Re: bug#6685: 23.2; Discards control characters during boot.

From: Andrew Hyatt <[email-masked]>
Date: Fri, 09 Sep 2016 20:32:57 +0000

On Thu, Sep 8, 2016 at 12:21 PM Eli Zaretskii <[email-masked]> wrote:

> > From: Andrew Hyatt <[email-masked]>
> > Date: Thu, 08 Sep 2016 01:08:55 -0400
> > Cc: [email-masked]
> >
> >
> > I was trying to reproduce this in Emacs 25, but emacsclient will not
> > start up a new emacs instance with emacsclient. According to the
> > documentation I have on emacsclient on using the alternative editor
> > flag:
> >
> > If the value of EDITOR is the empty string, run "emacs --daemon" to
> > start Emacs in daemon mode, and try to connect to it.
> >
> > So I can't reproduce this issue anymore.  Let me know if I'm missing
> > something, please.
>
> Sorry, I don't understand what you are saying.  Starting the daemon
> with ALTERNATIVE_EDITOR="" was part of the recipe; you seem to say it
> no longer works, although the documentation still says it should?  It
> certainly works for me, if I understood correctly what you described.
>

It doesn't work for me for some reason, and the documentation seems to
imply that it shouldn't work.  If using ALTERNATIVE_EDITOR="" started emacs
in daemon mode, why would the documentation tell the user to run the "emacs
--daemon" manually?  Instead, what I get when I don't have an emacs in
daemon mode, is just emacsclient telling me there's no emacs daemon running.

Judging by your response, I feel I must be misunderstanding something, but
I don't know what.